Change log for gtk2-engines-murrine package in Ubuntu

135 of 35 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-12-05
Deleted in bionic-proposed (Reason: moved to release)
gtk2-engines-murrine (0.98.2-2ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining changes:
    - Don't recommend murrine-themes (Closes: #838994, #623783)
    - Don't depend on libgtk2.0-0 so that themes can provide GTK+ 2 support
      without requiring that GTK+ 2 be installed (Closes: #883411)

Superseded in bionic-release on 2017-12-05
Deleted in bionic-proposed on 2017-12-06 (Reason: moved to release)
gtk2-engines-murrine (0.98.2-0ubuntu6) bionic; urgency=medium

  * Don't depend on libgtk2.0-0 so that themes can provide GTK+ 2 support
    without requiring that GTK+ 2 be installed (Closes: #883411)

 -- Jeremy Bicha <email address hidden>  Sun, 03 Dec 2017 14:50:47 -0500

Available diffs

Superseded in bionic-release on 2017-12-03
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
gtk2-engines-murrine (0.98.2-0ubuntu5) yakkety; urgency=medium

  * Remove pango_cairo_update_layout.patch:
    - The patch caused text shadows to be very misaligned for Xfce desktop
      icon labels with several different themes (LP: #1598316)

 -- Jeremy Bicha <email address hidden>  Mon, 05 Sep 2016 19:15:00 -0400

Available diffs

Published in xenial-updates on 2016-09-14
Deleted in xenial-proposed (Reason: moved to -updates)
gtk2-engines-murrine (0.98.2-0ubuntu2.2) xenial; urgency=medium

  * Remove pango_cairo_update_layout.patch and revert to previous
    version of gtk2-engines-murrine. The patch caused text shadows
    to be very misaligned for Xfce desktop icon labels with several
    different themes (LP: #1598316)

 -- Jeremy Bicha <email address hidden>  Mon, 05 Sep 2016 18:58:41 -0400
Superseded in yakkety-release on 2016-09-06
Deleted in yakkety-proposed on 2016-09-07 (Reason: moved to release)
gtk2-engines-murrine (0.98.2-0ubuntu4) yakkety; urgency=medium

  * Stop using hardening-includes.

 -- Matthias Klose <email address hidden>  Mon, 05 Sep 2016 15:39:57 +0200

Available diffs

Superseded in xenial-updates on 2016-09-14
Deleted in xenial-proposed on 2016-09-15 (Reason: moved to -updates)
gtk2-engines-murrine (0.98.2-0ubuntu2.1) xenial-proposed; urgency=medium

  * pango_cairo_update_layout.patch: new patch. Fixes crashes of
    various apps when bitmap font like Terminus is used as default
    system font. (LP: #1294699)

 -- Vlad Orlov <email address hidden>  Sat, 20 Feb 2016 10:41:39 +0300
Superseded in yakkety-release on 2016-09-05
Deleted in yakkety-proposed on 2016-09-06 (Reason: moved to release)
gtk2-engines-murrine (0.98.2-0ubuntu3) yakkety; urgency=medium

  * pango_cairo_update_layout.patch: new patch. Fixes crashes of
    various apps when bitmap font like Terminus is used as default
    system font. (LP: #1294699)

 -- Vlad Orlov <email address hidden>  Sat, 20 Feb 2016 10:41:39 +0300

Available diffs

Superseded in yakkety-release on 2016-07-01
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
gtk2-engines-murrine (0.98.2-0ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.
 -- Colin Watson <email address hidden>   Tue, 02 Oct 2012 12:15:37 +0100

Available diffs

Superseded in quantal-release on 2012-10-02
Published in precise-release on 2012-01-25
gtk2-engines-murrine (0.98.2-0ubuntu1) precise; urgency=low

  * New upstream release
    - Glib 2.31 compatibility
    - Fixed build failures with pixman
    - Changed option: reliefstyle = 5 for a more controllable inset
  * -debian/patches/01_fix-linking-pixman.patch
     - merged upstream
  * -debian/patches/lp_702531.patch
     - merged upstream
  * -debian/patches/performance_tweaks.patch
     - merged upstream
  * debian/patches/02_fix-linking-lm.patch
    - refreshed
  * debian/watch
    - updated to look for .xz
 -- Ken VanDine <email address hidden>   Wed, 25 Jan 2012 15:26:31 -0500
Superseded in precise-release on 2012-01-25
gtk2-engines-murrine (0.98.1.1-3ubuntu2) precise; urgency=low

  * Drop murrine-themes (in universe) from a Recommends to a Suggests.
 -- Steve Langasek <email address hidden>   Sat, 17 Dec 2011 15:37:00 -0800
Superseded in precise-release on 2011-12-18
gtk2-engines-murrine (0.98.1.1-3ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/copyright: Updated licensing to LGPLv3 and LGPLv2.1 as
      appropriate
    - debian/patches/performance_tweaks.patch: Performance fixes pulled from
      upstream git
    - debian/patches/lp_702531.patch: Down arrow but missing up arrow for
      option menus
  * Install the module to the multiarch path, bumping the dependency on gtk.

Superseded in precise-release on 2011-12-17
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
gtk2-engines-murrine (0.98.1.1-0ubuntu3) natty; urgency=low

  * debian/patches/performance_tweaks.patch
    - Performance fixes pulled from upstream git
 -- Ken VanDine <email address hidden>   Thu, 17 Mar 2011 22:23:37 -0400
Superseded in natty-release on 2011-03-18
gtk2-engines-murrine (0.98.1.1-0ubuntu2) natty; urgency=low

  * debian/patches/lp_702531.patch
    - Down arrow but missing up arrow for option menus (LP: #702531)
 -- Ken VanDine <email address hidden>   Thu, 17 Mar 2011 22:16:52 -0400
Superseded in natty-release on 2011-03-18
Obsolete in maverick-release on 2013-03-05
gtk2-engines-murrine (0.98.1.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
    - Updated licensing to LGPLv3 and LGPLv2.1 as appropriate
  * debian/copyright
    - Updated licensing to LGPLv3 and LGPLv2.1 as appropriate
 -- Ken VanDine <email address hidden>   Mon, 04 Oct 2010 17:33:57 -0400
Superseded in maverick-release on 2010-10-05
gtk2-engines-murrine (0.98.0-0ubuntu1) maverick; urgency=low

  * New upstream release.
 -- Ken VanDine <email address hidden>   Wed, 22 Sep 2010 09:17:35 -0400
Superseded in maverick-release on 2010-09-23
gtk2-engines-murrine (0.90.3+git20100826-0ubuntu1) maverick; urgency=low

  * New git snapshot
 -- Sebastien Bacher <email address hidden>   Thu, 26 Aug 2010 10:34:48 +0200
Superseded in maverick-release on 2010-08-26
gtk2-engines-murrine (0.90.3+git20100810-0ubuntu1) maverick; urgency=low

  * New git snapshot
  * debian/patches/90_git_null_widget_crash.patch,
    debian/patches/91_git_font_rendering.patch:
    - the changes are in the new version
  * debian/patches/01_display_only_selected_menu_items.patch:
    - disabled for now since it doesn't apply, if the change is still required
      somebody who understand it will need to update to the current codebase
 -- Sebastien Bacher <email address hidden>   Tue, 10 Aug 2010 18:24:15 +0200
Superseded in maverick-release on 2010-08-10
Obsolete in lucid-release on 2016-10-26
gtk2-engines-murrine (0.90.3+git20100323-0ubuntu3) lucid; urgency=low

  * debian/patches/90_git_null_widget_crash.patch:
    - git change to fix a crasher in gtk_paint_layout() on null widgets
      (lp: #548952) (lp: #549281)
  * debian/patches/91_git_font_rendering.patch:
    - git change to fix a font rendering issue since the theme update
      (lp: #546485)
 -- Sebastien Bacher <email address hidden>   Mon, 19 Apr 2010 18:17:56 +0200
Superseded in lucid-release on 2010-04-22
gtk2-engines-murrine (0.90.3+git20100323-0ubuntu2) lucid; urgency=low

  * debian/patches/01_display_only_selected_menu_items.patch:
    - change by Cody Russell to display the menu entry widgets only next to
      the selected entries (lp: #546263)
 -- Sebastien Bacher <email address hidden>   Mon, 29 Mar 2010 22:44:28 +0200
Superseded in lucid-release on 2010-03-29
gtk2-engines-murrine (0.90.3+git20100323-0ubuntu1) lucid; urgency=low

  * New git snapshot version to fix some theme issues (lp: #533484)
 -- Sebastien Bacher <email address hidden>   Wed, 24 Mar 2010 16:09:39 +0100
Superseded in lucid-release on 2010-03-24
gtk2-engines-murrine (0.90.3+git20091211-0ubuntu1) lucid; urgency=low

  * Upload a git snapshot to lucid
  * Drop the git changes which are in the new version
 -- Sebastien Bacher <email address hidden>   Fri, 05 Feb 2010 17:05:09 -0800
Obsolete in karmic-updates on 2013-03-04
Superseded in lucid-release on 2010-02-06
Deleted in karmic-proposed on 2013-03-04 (Reason: moved to -updates)
gtk2-engines-murrine (0.90.3-1ubuntu2) karmic-proposed; urgency=low

  * murrine fix for bug LP: #460710
    - add ./debian/patches
    - cherry-pick GIT commits:
    -  debian/patches/01-I-don-t-know-why-I-had-x_step-2-here-maybe-to-avoid-.patch
       GIT commit 1c36c51a94716a34567d21390908616cdf89f832
    -  debian/patches/02-Fix-a-potential-endless-loop-in-draw_progressbar_fil.patch
       GIT commint beaeda3e777f9e91a2f17d61584a38ee043b7866
    - debian/patches/series: added.
    - debian/rules: augmented to deal with quilt patches.
      I could have consolidated them, but this makes it easier to cross-check.
    - debian/control: added quilt as a build-depends.

 -- C de-Avillez <email address hidden>   Mon, 02 Nov 2009 13:27:35 -0600
Superseded in lucid-release on 2009-11-09
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
gtk2-engines-murrine (0.90.3-1ubuntu1) jaunty; urgency=low

  * Merge with debian version to fix FTBFS from syncing (LP: #357543)
    Remaining changes:
    + debian/control:
      - keep debhelper 4 b-d as 7.0.50 is not in jaunty
      - keep libgtk2.0-dev >= 2.12.0
      - don't recommend murrine-themes as we don't want to change seeded
        packages so close to jaunty gate
    + debian/rules: use old one with debhelper 4 as 7.0.50 is needed
      by the new debian version of this file
    + debian/compat: still 4

 -- Didier Roche <email address hidden>   Wed, 08 Apr 2009 15:33:28 +0200

Available diffs

Superseded in jaunty-release on 2009-04-08
gtk2-engines-murrine (0.90.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - add build-dep on intltool.
  * Cleanup the source git folder of spurious build files and thus build
    schema.xml.                                                 closes: #520515

Available diffs

Superseded in jaunty-release on 2009-04-06
gtk2-engines-murrine (0.90.2-0ubuntu2) jaunty; urgency=low

  * Include better focus theming from SVN.

 -- Michael Kuhn <email address hidden>   Thu, 02 Apr 2009 17:08:12 +0200
Superseded in jaunty-release on 2009-04-02
gtk2-engines-murrine (0.90.2-0ubuntu1) jaunty; urgency=low

  [Didier Roche]
  * New upstream release (LP: #344154)
    - High roundness values are now correctly limited.
    - Use focus_color in draw_entry if the theme uses it.
    - Removed shadows from GtkCombo and GtkComboBoxEntry.
    - Code polishing and bugfixing.
    - Fixed a crash when using focus_color.
    - Now focus_color and scrollbar_color accept symbolic colors.
  * debian/control:
    - add Vcs-Bzr tag
    - bump libgtk2.0-dev to 2.12.0
    - update Homepage field
  * Rewrite debian/watch to get murrine from its new location

  [Khashayar Naderehvandi]
  * debian/control: remove quilt dependency
  * debian/rules: remove "patch: patch-stamp" and all patch related stuff

 -- Didier Roche <email address hidden>   Wed, 18 Mar 2009 21:48:08 +0100

Available diffs

Superseded in jaunty-release on 2009-03-18
Obsolete in intrepid-release on 2013-02-20
gtk2-engines-murrine (0.60.1) intrepid; urgency=low

  [ Kenneth Wimer ]
  * Updating build depends to include intltool >= 0.37.1 , failed to build
    otherwise
  * Fixes window manager theme installation. (LP: #266954)

  [ Ted Gould ]
  * Upstream release

 -- Kenneth Wimer <email address hidden>   Wed, 24 Sep 2008 15:55:30 +0200
Superseded in intrepid-release on 2008-09-24
gtk2-engines-murrine (0.53.1+svn20080529-0ubuntu3) intrepid; urgency=low

  * Remove 02_fix-firefox-buttons.patch again. This was a misunderstanding,
    sorry.

 -- Martin Pitt <email address hidden>   Tue, 17 Jun 2008 09:46:22 +0000
Obsolete in hardy-updates on 2015-04-24
Deleted in hardy-proposed on 2015-04-30 (Reason: moved to -updates)
gtk2-engines-murrine (0.53.1-1ubuntu2) hardy-proposed; urgency=low

  * Add 02_fix-firefox-buttons.patch: Fix rectangular white outline
    surrounding rounded buttons. (LP: #195929)

 -- Kenneth Wimer <email address hidden>   Fri, 13 Jun 2008 12:57:43 +0200
Superseded in intrepid-release on 2008-06-17
gtk2-engines-murrine (0.53.1+svn20080529-0ubuntu2) intrepid; urgency=low

  * Add 02_fix-firefox-buttons.patch: Fix rectangular white outline
    surrounding rounded buttons. (LP: #195929)

 -- Kenneth Wimer <email address hidden>   Fri, 13 Jun 2008 12:57:43 +0200
Superseded in intrepid-release on 2008-06-17
gtk2-engines-murrine (0.53.1+svn20080529-0ubuntu1) intrepid; urgency=low

  * Including new source from SVN. Official snapshot will be in August
  * Removing patch to support.c as it is now included upstream

 -- Kenneth Wimer <email address hidden>   Thu, 29 May 2008 13:56:48 +0200
Superseded in intrepid-release on 2008-05-29
Obsolete in hardy-release on 2015-04-24
gtk2-engines-murrine (0.53.1-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    * debian/control:
      - adhere to DebianMaintainerField spec
      - drop murrina-theme recommends (not in the archive yet)
  * debian/control: use a Homepage field to reference the upstream
    homepage instead of embedding this in the package description

 -- Steve Langasek <email address hidden>   Wed, 05 Dec 2007 11:52:48 -0800
Superseded in hardy-release on 2007-12-06
Obsolete in gutsy-release on 2011-09-16
gtk2-engines-murrine (0.53.1-0ubuntu2) gutsy; urgency=low

  * Use gtk_requisition_free() and gtk_border_free() where appropriate instead
    of the generic g_free(), fixing a crash when using gimp's "small" theme
    in conjunction with murrine.  LP: #131564.

 -- Steve Langasek <email address hidden>   Thu, 04 Oct 2007 22:40:29 -0700
Superseded in gutsy-release on 2007-10-05
Superseded in gutsy-release on 2007-06-18
gtk2-engines-murrine (0.53.1-0ubuntu1) gutsy; urgency=low

  * New upstream release.
  * debian/control:
    - adhere to DebianMaintainerField spec
    - drop murrina-theme recommends (not in the archive yet)
    - fix the description (this package ships the engine only).

 -- Lionel Le Folgoc <email address hidden>   Fri, 15 Jun 2007 22:04:34 +0200
Superseded in gutsy-release on 2007-06-15
gtk2-engines-murrine (0.52-1) unstable; urgency=low

  * Initial Release. 											closes: #411354

 -- Lionel Le Folgoc <email address hidden>   Fri,  15 Jun 2007 13:42:59 +0100
135 of 35 results